package cn.rankin.productservice.controller.app;

import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.data.api.product.entity.Lesson;
import cn.rankin.productservice.service.app.AppLessonService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping(value = "/app/lesson")
public class AppLessonController {

    @Autowired
    private AppLessonService lessonService;

    @RequestMapping(value = "/{lessonId}", method = RequestMethod.GET)
    public APIResult<Lesson> getLesson(@PathVariable("lessonId") String lessonId, @RequestParam("courseId") String coursId) {
        return lessonService.getLesson(lessonId, coursId);
    }
}
