package cn.rankin.userservice.controller;

import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.data.api.user.dto.EventLogDTO;
import cn.rankin.userservice.service.EventLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping(value = "/event")
public class EventLogController {

    @Autowired
    private EventLogService eventLogService;

    @RequestMapping(method = RequestMethod.POST)
    public APIResult<Boolean> addLog(@RequestBody EventLogDTO eventLogDTO) {
        return eventLogService.addLog(eventLogDTO);
    }
}
